API ReferenceText
List available models
Lists available models. If provider is not specified, lists all models from all configured providers.
AuthorizationBearer <token>
Bearer token authentication. Use your provider API key or Bifrost authentication token.
Virtual keys (prefixed with sk-bf-) can also be passed here.
In: header
Query Parameters
provider?string
Filter by provider (e.g., openai, anthropic, bedrock)
page_size?integer
Maximum number of models to return
page_token?string
Token for pagination
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/models"{ "data": [ { "id": "string", "canonical_slug": "string", "name": "string", "deployment": "string", "created": 0, "context_length": 0, "max_input_tokens": 0, "max_output_tokens": 0, "architecture": { "modality": "string", "tokenizer": "string", "instruct_type": "string", "input_modalities": [ "string" ], "output_modalities": [ "string" ] }, "pricing": { "prompt": "string", "completion": "string", "request": "string", "image": "string", "web_search": "string", "internal_reasoning": "string", "input_cache_read": "string", "input_cache_write": "string" }, "top_provider": { "is_moderated": true, "context_length": 0, "max_completion_tokens": 0 }, "per_request_limits": { "prompt_tokens": 0, "completion_tokens": 0 }, "supported_parameters": [ "string" ], "default_parameters": { "temperature": 0, "top_p": 0, "frequency_penalty": 0 }, "hugging_face_id": "string", "description": "string", "owned_by": "string", "supported_methods": [ "string" ] } ], "extra_fields": { "request_type": "string", "provider": "openai", "model_requested": "string", "model_deployment": "string", "latency": 0, "chunk_index": 0, "raw_request": {}, "raw_response": {}, "cache_debug": { "cache_hit": true, "cache_id": "string", "hit_type": "string", "requested_provider": "string", "requested_model": "string", "provider_used": "string", "model_used": "string", "input_tokens": 0, "threshold": 0, "similarity": 0 } }, "next_page_token": "string"}{ "event_id": "string", "type": "string", "is_bifrost_error": true, "status_code": 0, "error": { "type": "string", "code": "string", "message": "string", "param": "string", "event_id": "string" }, "extra_fields": { "provider": "openai", "model_requested": "string", "request_type": "string" }}{ "event_id": "string", "type": "string", "is_bifrost_error": true, "status_code": 0, "error": { "type": "string", "code": "string", "message": "string", "param": "string", "event_id": "string" }, "extra_fields": { "provider": "openai", "model_requested": "string", "request_type": "string" }}